unit ControlPanel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TControl_Panel = class(TForm)
    Start_Button: TButton;
    EditA1: TEdit;
    EditA2: TEdit;
    StaticText1: TStaticText;
    StaticText4: TStaticText;
    EditA3: TEdit;
    EditB1: TEdit;
    EditB2: TEdit;
    EditB3: TEdit;
    EditC1: TEdit;
    EditC2: TEdit;
    EditC3: TEdit;
    EditD1: TEdit;
    EditD2: TEdit;
    EditD3: TEdit;
    StaticText2: TStaticText;
    EditAc1: TEdit;
    EditAc2: TEdit;
    EditAc3: TEdit;
    EditBc1: TEdit;
    EditBc2: TEdit;
    EditBc3: TEdit;
    EditCc1: TEdit;
    EditCc2: TEdit;
    EditCc3: TEdit;
    EditDc1: TEdit;
    EditDc2: TEdit;
    EditDc3: TEdit;
    StaticText3: TStaticText;
    StaticText5: TStaticText;
    StaticText6: TStaticText;
    StaticText7: TStaticText;
    StaticText8: TStaticText;
    StaticText9: TStaticText;
    StaticText10: TStaticText;
    EditAlfa: TEdit;
    EditBeta: TEdit;
    StaticText14: TStaticText;
    StaticText15: TStaticText;
    StaticText16: TStaticText;
    EditX1: TEdit;
    EditX2: TEdit;
    EditY1: TEdit;
    EditY2: TEdit;
    Exit_Button: TButton;
    StaticText11: TStaticText;
    StaticText12: TStaticText;
    StaticText13: TStaticText;
    StaticText17: TStaticText;
    procedure BoxConstruct(Sender: TObject);
    procedure Exit(Sender: TObject);
    procedure SetY2(Sender: TObject);
    procedure SetDrawCaption(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Setting;
  end;

var
  Control_Panel: TControl_Panel;
  Alfa,Beta    :Double;
 
implementation

uses Graph3D_2005;

var   Box          :TBox;
{$R *.DFM}

Procedure TControl_Panel.Setting;
  var Code :Integer;
  begin
   With Box do
   begin
    Val(EditA1.Text,A[1],Code);
    Val(EditA2.Text,A[2],Code);
    Val(EditA3.Text,A[3],Code);
    Val(EditB1.Text,B[1],Code);
    Val(EditB2.Text,B[2],Code);
    Val(EditB3.Text,B[3],Code);
    Val(EditC1.Text,C[1],Code);
    Val(EditC2.Text,C[2],Code);
    Val(EditC3.Text,C[3],Code);
    Val(EditD1.Text,D[1],Code);
    Val(EditD2.Text,D[2],Code);
    Val(EditD3.Text,D[3],Code);
    Val(EditAc1.Text,Ac[1],Code);
    Val(EditAc2.Text,Ac[2],Code);
    Val(EditAc3.Text,Ac[3],Code);
    Val(EditBc1.Text,Bc[1],Code);
    Val(EditBc2.Text,Bc[2],Code);
    Val(EditBc3.Text,Bc[3],Code);
    Val(EditCc1.Text,Cc[1],Code);
    Val(EditCc2.Text,Cc[2],Code);
    Val(EditCc3.Text,Cc[3],Code);
    Val(EditDc1.Text,Dc[1],Code);
    Val(EditDc2.Text,Dc[2],Code);
    Val(EditDc3.Text,Dc[3],Code);
    A[4]:=1;B[4]:=1;C[4]:=1;D[4]:=1;
    Ac[4]:=1;Bc[4]:=1;Cc[4]:=1;Dc[4]:=1;
   end;
   With Draw3D do
   begin
    Val(EditAlfa.Text,Alfa,Code);
    Val(EditBeta.Text,Beta,Code);
    Val(EditX1.Text,X1,Code);
    Val(EditX2.Text,X2,Code);
    Val(EditY1.Text,Y1,Code);
    Val(EditY2.Text,Y2,Code);
  end;
 end;

procedure TControl_Panel.BoxConstruct(Sender: TObject);
  begin
    Setting;
    With Draw3D do
      begin
       Red:=255;Green:=0;Blue:=0;
       ClearImage(255,255,255);
       Scale(x1,x2,y1,y2);
       SetOrthoAxonProjection(Alfa,Beta);
       cvBox(Box,Red,Green,Blue);
       {CoorSystem;}
      end;
  end;

procedure TControl_Panel.Exit(Sender: TObject);
begin
  Draw3D.Visible:=False;
  Halt;
end;

procedure TControl_Panel.SetY2(Sender: TObject);
var x1,x2,y1,y2:Real;
    Code:Integer;
    Vypis:String;
begin
   With Draw3D do
   begin
   Val(EditX1.Text,x1,Code);
   Val(EditX2.Text,x2,Code);
   Val(EditY1.Text,y1,Code);
   y2:=y1+(x2-x1)*ClientHeight/ClientWidth;
   Str(y2:4:2,Vypis);EditY2.Text:=Vypis;
   EditY2.Show;
   end;
end;

procedure TControl_Panel.SetDrawCaption(Sender: TObject);
begin
  Application.CreateForm(TDraw3D, Draw3D);
  With Draw3D do
  begin
    Caption:='Orthographic Projection of Box';
    Top:=100;Left:=400;
    ClientWidth:=400;ClientHeight:=400;
    InitImage(400,400);ClearImage(255,255,255);
    Visible:=True;
  end
end;


end.
